Failure to loadlib "dbhack"

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Failure to loadlib "dbhack"

anthony_edelman
Hi,

I have been trying to load libraries into Plua2 but have failed at
every turn.

I am now using /libraries/dbhack.tar.gz and am using the
included "PalmDoc.lua" as a test and using all the test code to call
it but continue to receive the error "Failed to load dbhack. Is it
installed?".

Please Help.

Thank you.

Reply | Threaded
Open this post in threaded view
|

Re: Failure to loadlib "dbhack"

migueletto-2
Hi,

--- In [hidden email], "anthony_edelman" <edelmail@...> wrote:

> I have been trying to load libraries into Plua2 but have failed at
> every turn.
>
> I am now using /libraries/dbhack.tar.gz and am using the
> included "PalmDoc.lua" as a test and using all the test code to call
> it but continue to receive the error "Failed to load dbhack. Is it
> installed?".

Probably the library was compiled with an older beta version of Plua
2. I suggest compiling dbhack from source code, using the latest libkit.

I also noted that PalmDoc.lua uses the old syntax util.pack() instead
of the current bin.pack(), confirming that it was designed with an old
Plua (probably older than 2.0b5). In that case, PalmDoc.lua would need
to be changed to be compliant with the latest Plua version.

Regards,
Marcio.

Reply | Threaded
Open this post in threaded view
|

Re: Failure to loadlib "dbhack"

anthony_edelman
Hi,

Thanks for that. I actually had the same problem with the other
libraries found here eg. cdb.

Is there anybody on this group that could recompile and repost the
compiled 'dbhack'.

Thank you.
Anthony.